import fs from "node:fs/promises";
import { tryCatchAsync } from "../utils/tryCatchAsync.js";
async function readFunding() {
  return await tryCatchAsync(
    async () => (await fs.readFile(".github/FUNDING.yml")).toString().split(":")[1]?.trim()
  );
}
export {
  readFunding
};
//# sourceMappingURL=readFunding.js.map